
%define		module	pygoogle

Summary:	Python interface to Google API
Summary(pl.UTF-8):	Interfejs Pythona do Google API
Name:		python-%{module}
Version:	0.6
Release:	2
License:	PSF
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pygoogle/%{module}-%{version}.tar.gz
# Source0-md5:	334e2d9e5a765ffa9769e2c4cdfcd110
URL:		http://pygoogle.sourceforge.net/
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-SOAP >= 0.11.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interface to Google API.

%description -l pl.UTF-8
Interfejs do Google API.

%prep
%setup -q -n %{module}-%{version}

python setup.py build_py --compile --optimize=2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

cp build/lib/{google,GoogleSOAPFacade}.py{c,o} $RPM_BUILD_ROOT%{py_sitescriptdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%{py_sitescriptdir}/*.py?
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygoogle.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6542bdc
- release 2 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 47cf165
- added BR: python-modules, rpm-pythonprov

* Fri Jul 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 92292de
- rel 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c385ac3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cf04e44
- converted to UTF-8

* Fri Jun 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 523d690
- gpm-friendly Source0 URL

* Mon Jun 13 2005 Mariusz Mazur <mmazur@pld-linux.org> 03cab19
- rel 0.2; working

* Sun Jun 12 2005 Mariusz Mazur <mmazur@pld-linux.org> f09e770
- initial; I don't like having internal SOAP support though; will need to check
  SOAPpy compatibility

